cURL
curl "https://api.scrapio.dev/v1/agoda/reviews/crawl?property_id=3&city_id=9395&start_page=1&end_page=5" \
-H "Authorization: Bearer $SCRAPIO_API_KEY"import requests
url = "https://api.scrapio.dev/v1/agoda/reviews/crawl"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.scrapio.dev/v1/agoda/reviews/crawl', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"request_id": "<string>",
"mode": "async",
"status": "queued",
"job_id": "<string>",
"job_type": "<string>"
}{
"request_id": "<string>",
"error": {
"code": "<string>",
"message": "<string>"
},
"diagnostics": {
"outcome": "failed",
"retryable": true,
"blocked": true,
"timed_out": true
}
}{
"request_id": "<string>",
"error": {
"code": "<string>",
"message": "<string>"
},
"diagnostics": {
"outcome": "failed",
"retryable": true,
"blocked": true,
"timed_out": true
}
}{
"request_id": "<string>",
"error": {
"code": "<string>",
"message": "<string>"
},
"diagnostics": {
"outcome": "failed",
"retryable": true,
"blocked": true,
"timed_out": true
}
}Agoda
Queue a reviews crawl
Submit a real Agoda reviews capture as an async job, with no deadline.
GET
/
v1
/
agoda
/
reviews
/
crawl
cURL
curl "https://api.scrapio.dev/v1/agoda/reviews/crawl?property_id=3&city_id=9395&start_page=1&end_page=5" \
-H "Authorization: Bearer $SCRAPIO_API_KEY"import requests
url = "https://api.scrapio.dev/v1/agoda/reviews/crawl"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.scrapio.dev/v1/agoda/reviews/crawl', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"request_id": "<string>",
"mode": "async",
"status": "queued",
"job_id": "<string>",
"job_type": "<string>"
}{
"request_id": "<string>",
"error": {
"code": "<string>",
"message": "<string>"
},
"diagnostics": {
"outcome": "failed",
"retryable": true,
"blocked": true,
"timed_out": true
}
}{
"request_id": "<string>",
"error": {
"code": "<string>",
"message": "<string>"
},
"diagnostics": {
"outcome": "failed",
"retryable": true,
"blocked": true,
"timed_out": true
}
}{
"request_id": "<string>",
"error": {
"code": "<string>",
"message": "<string>"
},
"diagnostics": {
"outcome": "failed",
"retryable": true,
"blocked": true,
"timed_out": true
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Agoda numeric property ID
Minimum string length:
1Full Agoda property URL
Agoda numeric city ID, required alongside property_id when url is not given (see GET /v1/agoda/search's resolved_city_id)
Pattern:
^\d+$First review page to crawl (default 1)
Pattern:
^\d+$Last review page to crawl (default start_page -- single page)
Pattern:
^\d+$Review sort order
Minimum string length:
1Review language filter (ISO 2-letter code)
Pattern:
^[A-Za-z]{2}$Max time to wait per page, in ms
Pattern:
^\d+$